With B-syn and Lightning T-bird crashes on start

If BirdieSync 1.x constantly replaces your girlfriend's phone number with your mother's one, this forum is for you...
Post Reply
kapblp
Posts: 2
Joined: Thu Apr 12, 2007 3:26 am

With B-syn and Lightning T-bird crashes on start

Post by kapblp » Thu Apr 12, 2007 3:28 am

I have the latest nonbeta release of Thunderbird.

I also have the latest versions of Lightning and Birdiesync installed. But when I try to start T-bird it crashes and won't open unless I disable extensions.

I'd love to make this work but ...

Birdy
Site Admin
Posts: 3015
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Post by Birdy » Thu Apr 12, 2007 9:29 am

Hello,

So I suppose that you use Thunderbird 1.5.0.10 and Lightning 0.3.1.

Under which operating system are you running ?
Do you have any errors in ThunderbidService.log located in C:\Documents and Settings\<user name>\Application Data\BirdieSync\Log\
(if under XP) ?
Birdy

kapblp
Posts: 2
Joined: Thu Apr 12, 2007 3:26 am

Post by kapblp » Fri Apr 13, 2007 1:23 pm

I found out the problem when i went back into extensions to delete lightning in order to return to sunbird. I was using the beta version of lightning. I deleted it and installed the stable build and all is working now.

Birdy
Site Admin
Posts: 3015
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Post by Birdy » Fri Apr 13, 2007 2:13 pm

Good news ! :) Some users reported that it was working fine with Lightning 0.6 but of course, I cannot guarantee you anything...
Birdy

posenato
Posts: 4
Joined: Tue Apr 24, 2007 9:34 am
Location: Verona, Italy

Post by posenato » Tue Apr 24, 2007 9:56 am

Hi,

I want to confirm that there is a problem of BirdieSync 1.5.2.0 with Tb 2.0.0.0 (20070326) and Lightning 0.5pre (the last one available).

Every time I start Tb, it crashes. I have to disable extensions to make Tb working.

I have also tried to uninstall BirdieSync => restart pc => reinstall BirdieSync but the result is the same: Tb doesn't work!


BirdieSync logs:

Install log:
Local 24/04/2007 11:49:18::0016 ERROR: Error while opening file for reading: C:\Program Files\BirdieSync/Preferences.xml (GetLastError = 0)
Local 24/04/2007 11:49:18::0046 ERROR: Impossible to load archive file (GetLastError = 0)

***
Note
***
The Preferences.xml file exists even if it is not human readable!
***

ThunderbirdService.log:
Local 24/04/2007 11:49:43::0572 BirdieSync: version 1.5.2.0
Local 24/04/2007 11:49:43::0582 Operating system: id 2, version 5.1, SP 2.0
Local 24/04/2007 11:49:43::0582 Thunderbird: version 2.0.0.0
Local 24/04/2007 11:49:43::0592 Lightning extension: version 0.5pre
Local 24/04/2007 11:49:43::0612 WARNING: Could not initialize address book manager with profile path = '' (GetLastError = 0)

DesktopProvider.log:
Local 24/04/2007 11:49:21::0330 BirdieSync: version 1.5.2.0
Local 24/04/2007 11:49:21::0411 Operating system: id 2, version 5.1, SP 2.0
--
Roberto Posenato

Birdy
Site Admin
Posts: 3015
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Post by Birdy » Tue Apr 24, 2007 10:20 am

Hello,

BirdieSync doesn't support Lightning 0.5 yet. A new BirdieSync version will be needed for 0.5. But some users reported there had no problems with 0.6...
Birdy

posenato
Posts: 4
Joined: Tue Apr 24, 2007 9:34 am
Location: Verona, Italy

Post by posenato » Tue Apr 24, 2007 10:37 am

Birdy wrote:Hello,

BirdieSync doesn't support Lightning 0.5 yet. A new BirdieSync version will be needed for 0.5. But some users reported there had no problems with 0.6...
Hi,

I would like to know where Lightning 0.6 is :-)

I think it doesn't exist for Tb 2.0... *-)

I have checked
http://weblogs.mozillazine.org/calendar/lightning/
and
http://www.mozilla.org/projects/calenda ... nload.html

I didn't find Lightning 0.6!

Any suggestion?
--
Roberto Posenato

Birdy
Site Admin
Posts: 3015
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Post by Birdy » Tue Apr 24, 2007 1:33 pm

You may have a look to:
http://ftp.mozilla.org/pub/mozilla.org/ ... ndows-xpi/

But as mentioned before, I cannot guarantee you anything with this version.
Birdy

posenato
Posts: 4
Joined: Tue Apr 24, 2007 9:34 am
Location: Verona, Italy

Post by posenato » Tue Apr 24, 2007 2:56 pm

Birdy wrote:You may have a look to:
http://ftp.mozilla.org/pub/mozilla.org/ ... ndows-xpi/

But as mentioned before, I cannot guarantee you anything with this version.
But that version is for Tb 3.0a1!!!
--
Roberto Posenato

Birdy
Site Admin
Posts: 3015
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Post by Birdy » Tue Apr 24, 2007 4:00 pm

Sorry, I didn't check that. :oops: Actually, other users mentioned Sunbird 0.6, not Lightning 0.6. I am afraid that if you want to use Lightning, you can only use version 0.3.1 for the moment.
Birdy

posenato
Posts: 4
Joined: Tue Apr 24, 2007 9:34 am
Location: Verona, Italy

Post by posenato » Tue Apr 24, 2007 4:08 pm

I think that in few days this problem, if it is a general problem, will trigger some posts.

On April 23, 2007 Simon Paquet announced that the Lightning release 0.5 for Windows is coming...

http://weblogs.mozillazine.org/calendar ... pdate.html
--
Roberto Posenato

Post Reply

Who is online

Users browsing this forum: No registered users and 5 guests